Quassel IRC - Bug #854

Backlog retrieval on scrolling does not work when channel window is empty
11/13/2009 06:08 AM - hagabaka

Status: New Start date: 11/13/2009
Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.5.0 0S: Linux

Description

Normally when | use the scrollbar or mousewheel to scroll up the chat window when it is already at the top of the loaded logs,
Quassel client will load some backlog from the core. However, when a chat window is empty, this will not work. | have to make some
text display in the chat window, e.g. using /topic, in order to retrieve more backlog.

Steps to reproduce:

1. Run quassel with separate client and core, and in client Settings/Misc/Backlog, set Additional Messages: 0.

2. Enter a usually quiet channel and accumulate some lines of chat.

3. Exit and reopen the client.

4. Select the channel in step 2, and before any message is displayed in the channel window, use mouse wheel to scroll up
5. No backlog is loaded. The expected behavior is to load the backlog from step 2.

6. Enter /topic, and scroll up using mouse wheel, the backlog is loaded.

History

#1 - 04/25/2010 11:54 PM - EgS
- Assignee set to EgS

- Target version set to 0.6.2

#2 - 08/26/2010 05:36 PM - johu

- Target version changed from 0.6.2 to 0.7.1

#3 - 09/21/2010 06:58 PM - johu

- Target version changed from 0.7.1 to 0.7.2

#4 - 03/24/2011 04:14 PM - johu
- Target version deleted (0.7.2)

04/26/2024 1/1



http://www.tcpdf.org

